Page MenuHomePhabricator

Refactor elm_button
Closed, ResolvedPublic

Description

elm_button should become efl_ui_button and have its interface properly cleaned.

Details

Commits
Restricted Diffusion Commit
rEFL850498e977d4: rename elm_button to Efl.Ui.Button
cedric created this task.Mar 30 2017, 2:49 AM

I think that this work should be done sequentially after finishing T5363.
We need to think about the hierarchy between basic widget class and this button class.
(Such as new Layout Class, ...)

Button is nothing but a Layout(or View) Class with Clickable feature.
Of course, it needs to support some states (pressed, unpressed, ..) and internal text object (+ image object ? I don't know).

So, if we will make a good parents class for this New Button Class, this task only needs small work to do.

Amitesh is already working on this. The easy part first: renaming the class, and removing the unnecessary functions.

singh.amitesh closed this task as Resolved.May 25 2017, 1:32 AM
singh.amitesh added a commit: Restricted Diffusion Commit.Aug 20 2018, 12:59 PM